package oclib

type Workflow struct{
	Resource
	Datas		map[string]Data
	Storages	map[string]Storage
	Processing	map[string]Processing
	Datacenters	map[string]Datacenter
	Links		map[string]Link

	Schedule	WorkflowSchedule
}

func (w *Workflow) isDCLink(link Link) bool {
	if _, exists := w.Datacenters[link.Destination]; exists {
        return true
    } else if _, exists := w.Datacenters[link.Source]; exists {
        return true
    }
	
	return false
}



